
_interrupt:

;SPWM.c,29 :: 		void interrupt()
;SPWM.c,32 :: 		if (TMR2IF_bit == 1){
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L_interrupt0
;SPWM.c,33 :: 		TBL_POINTER_NEW = TBL_POINTER_OLD + SET_FREQ;
	MOVF       _SET_FREQ+0, 0
	ADDWF      _TBL_POINTER_OLD+0, 0
	MOVWF      R1
	MOVF       _SET_FREQ+1, 0
	ADDWFC     _TBL_POINTER_OLD+1, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_NEW+0
	MOVF       R2, 0
	MOVWF      _TBL_POINTER_NEW+1
;SPWM.c,34 :: 		if (TBL_POINTER_NEW < TBL_POINTER_OLD){
	MOVF       _TBL_POINTER_OLD+1, 0
	SUBWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt10
	MOVF       _TBL_POINTER_OLD+0, 0
	SUBWF      R1, 0
L__interrupt10:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt1
;SPWM.c,35 :: 		CCP1CON.P1M1 = ~CCP1CON.P1M1; //Reverse direction of full-bridge
	MOVLW      128
	XORWF      CCP1CON+0, 1
;SPWM.c,36 :: 		}
L_interrupt1:
;SPWM.c,37 :: 		TBL_POINTER_SHIFT = TBL_POINTER_NEW >> 12;
	MOVLW      12
	MOVWF      R2
	MOVF       _TBL_POINTER_NEW+0, 0
	MOVWF      R0
	MOVF       _TBL_POINTER_NEW+1, 0
	MOVWF      R1
	MOVF       R2, 0
L__interrupt11:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt12
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L__interrupt11
L__interrupt12:
	MOVF       R0, 0
	MOVWF      _TBL_POINTER_SHIFT+0
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_SHIFT+1
;SPWM.c,38 :: 		DUTY_CYCLE = TBL_POINTER_SHIFT;
	MOVF       R0, 0
	MOVWF      _DUTY_CYCLE+0
;SPWM.c,39 :: 		CCPR1L = sin_table[DUTY_CYCLE];
	MOVLW      _sin_table+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_sin_table+0)
	MOVWF      FSR0H
	MOVF       R0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      CCPR1L+0
;SPWM.c,40 :: 		TBL_POINTER_OLD = TBL_POINTER_NEW;
	MOVF       _TBL_POINTER_NEW+0, 0
	MOVWF      _TBL_POINTER_OLD+0
	MOVF       _TBL_POINTER_NEW+1, 0
	MOVWF      _TBL_POINTER_OLD+1
;SPWM.c,41 :: 		TMR2IF_bit = 0;
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;SPWM.c,42 :: 		}
L_interrupt0:
;SPWM.c,43 :: 		}
L_end_interrupt:
L__interrupt9:
	RETFIE     %s
; end of _interrupt

_main:

;SPWM.c,44 :: 		void main() {
;SPWM.c,46 :: 		ADC_Init();
	CALL       _ADC_Init+0
;SPWM.c,48 :: 		SET_FREQ =556;     //Generation of 50HZ
	MOVLW      44
	MOVWF      _SET_FREQ+0
	MOVLW      2
	MOVWF      _SET_FREQ+1
;SPWM.c,49 :: 		TBL_POINTER_SHIFT = 0;
	CLRF       _TBL_POINTER_SHIFT+0
	CLRF       _TBL_POINTER_SHIFT+1
;SPWM.c,50 :: 		TBL_POINTER_NEW = 0;
	CLRF       _TBL_POINTER_NEW+0
	CLRF       _TBL_POINTER_NEW+1
;SPWM.c,51 :: 		TBL_POINTER_OLD = 0;
	CLRF       _TBL_POINTER_OLD+0
	CLRF       _TBL_POINTER_OLD+1
;SPWM.c,52 :: 		DUTY_CYCLE = 0;
	CLRF       _DUTY_CYCLE+0
;SPWM.c,53 :: 		ANSELA = 0x0F; //Enable Analog Reading for RA0-RA3
	MOVLW      15
	MOVWF      ANSELA+0
;SPWM.c,55 :: 		PR2 = 249;      //Generation of 12KHZ PWM Signal
	MOVLW      249
	MOVWF      PR2+0
;SPWM.c,56 :: 		TRISC = 0xF3;    //Only RC3 is output
	MOVLW      243
	MOVWF      TRISC+0
;SPWM.c,57 :: 		PORTC=0XF3;
	MOVLW      243
	MOVWF      PORTC+0
;SPWM.c,59 :: 		TRISD=0;
	CLRF       TRISD+0
;SPWM.c,60 :: 		PORTD=0;
	CLRF       PORTD+0
;SPWM.c,62 :: 		TRISA=0x0F;
	MOVLW      15
	MOVWF      TRISA+0
;SPWM.c,63 :: 		PORTA=0x0F;
	MOVLW      15
	MOVWF      PORTA+0
;SPWM.c,65 :: 		TRISB=0X01;
	MOVLW      1
	MOVWF      TRISB+0
;SPWM.c,66 :: 		PORTB=0x01;
	MOVLW      1
	MOVWF      PORTB+0
;SPWM.c,68 :: 		CCP1CON = 0x4C;
	MOVLW      76
	MOVWF      CCP1CON+0
;SPWM.c,69 :: 		PWM1CON=80;
	MOVLW      80
	MOVWF      PWM1CON+0
;SPWM.c,70 :: 		TMR2IF_bit = 0;
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;SPWM.c,71 :: 		T2CON = 4; //TMR2 on, prescaler and postscaler 1:1
	MOVLW      4
	MOVWF      T2CON+0
;SPWM.c,72 :: 		while (TMR2IF_bit == 0);
L_main2:
	BTFSC      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L_main3
	GOTO       L_main2
L_main3:
;SPWM.c,73 :: 		TMR2IF_bit = 0;
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;SPWM.c,74 :: 		TRISC = 0x00;
	CLRF       TRISC+0
;SPWM.c,75 :: 		TRISD=0X00;
	CLRF       TRISD+0
;SPWM.c,76 :: 		TMR2IE_bit = 1;
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;SPWM.c,77 :: 		GIE_bit = 1;
	BSF        GIE_bit+0, BitPos(GIE_bit+0)
;SPWM.c,78 :: 		PEIE_bit = 1;
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
;SPWM.c,80 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;SPWM.c,81 :: 		LCD_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;SPWM.c,82 :: 		LCD_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;SPWM.c,84 :: 		do{
L_main4:
;SPWM.c,86 :: 		Lcd_Out(2,1, text1);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _text1+0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      hi_addr(_text1+0)
	MOVWF      FARG_Lcd_Out_text+1
	CALL       _Lcd_Out+0
;SPWM.c,87 :: 		delay_ms(1500);
	MOVLW      23
	MOVWF      R11
	MOVLW      213
	MOVWF      R12
	MOVLW      22
	MOVWF      R13
L_main7:
	DECFSZ     R13, 1
	GOTO       L_main7
	DECFSZ     R12, 1
	GOTO       L_main7
	DECFSZ     R11, 1
	GOTO       L_main7
	NOP
;SPWM.c,90 :: 		while(1);
	GOTO       L_main4
;SPWM.c,94 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
